Agent-readable docs index: /docs/llms.txt. Full docs in one file: /docs/llms-full.txt. Download /docs/docs.zip to grep all markdown files locally.

Get one event

/v1/events/{id}GET
Events are immutable: the hash is a strong ETag and If-None-Match returns 304.
Authorization
bearer *Bearer <token>
API key of the form kaibo_<id>.<secret>. Scopes: read, write, read_write, forget, admin.
Response
200 · Success
streamId *string
Min length: 1Max length: 128
seq *integer
Min: 1Max: 9007199254740991
idempotencyKey *string
Min length: 1Max length: 255
occurredAt *string (date-time)
recordedAt *string (date-time)
source *object
Show properties
kind *"message" | "tool_call" | "file" | "commit" | "system" | "import"
agent *stringnull
uri *stringnull
payloadDigest *string
Pattern: ^[0-9a-f]{64}$
blobRef *stringnull
payload *object | null
prevHash *string
Pattern: ^[0-9a-f]{64}$
hash *string
Pattern: ^[0-9a-f]{64}$
id *string
Min length: 1Max length: 128
projectId *string
Min length: 1Max length: 128
304 · Not modified
Not modified
400 · Invalid request
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "internal"
message *string
requestId *string
details?object
401 · Missing, malformed, revoked or expired key
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "internal"
message *string
requestId *string
details?object
403 · The key lacks the required scope
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "internal"
message *string
requestId *string
details?object
429 · Rate limited. See Retry-After
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "internal"
message *string
requestId *string
details?object
Request example
curl -X GET "/v1/events/<id>" \ -H "Authorization: Bearer <token>"